# List transactions

List organization transactions with optional filtering, search, sorting, and pagination. Supports both GET (bookmarkable, simple queries) and POST :list (complex filter objects as a JSON body).

Endpoint: POST /v2/transactions:list
Version: 2.0
Security: TokenAuth

## Request fields (application/json):

  - `filter` (object)
    Optional filters: status, type, blockchain, asset_symbol, created_at range, updated_at range, qty range, origin_address, destination_address, transaction_id, transaction_hash, external_id, correlation_id. Each sub-filter is AND-ed.

  - `filter.status` (object)
    Filter by transaction status using enum names such as CONFIRMED or FAILED

  - `filter.status.eq` (string)
    Exact transaction status match
    Enum: "REQUESTED", "POLICY_CHECK_PENDING", "POLICY_CHECK_PASSED", "APPROVAL_CHECK_PENDING", "APPROVAL_CHECK_PASSED", "COMPILATION_PENDING", "COMPILED", "SIGNATURE_PENDING", "SIGNED", "PUBLISH_PENDING", "PUBLISHED", "CONFIRMATION_PENDING", "CONFIRMED", "REJECTED", "FAILED"

  - `filter.status.notEq` (string)
    Exclude this transaction status
    Enum: "REQUESTED", "POLICY_CHECK_PENDING", "POLICY_CHECK_PASSED", "APPROVAL_CHECK_PENDING", "APPROVAL_CHECK_PASSED", "COMPILATION_PENDING", "COMPILED", "SIGNATURE_PENDING", "SIGNED", "PUBLISH_PENDING", "PUBLISHED", "CONFIRMATION_PENDING", "CONFIRMED", "REJECTED", "FAILED"

  - `filter.status.in` (array)
    Transaction status is in this list
    Enum: "REQUESTED", "POLICY_CHECK_PENDING", "POLICY_CHECK_PASSED", "APPROVAL_CHECK_PENDING", "APPROVAL_CHECK_PASSED", "COMPILATION_PENDING", "COMPILED", "SIGNATURE_PENDING", "SIGNED", "PUBLISH_PENDING", "PUBLISHED", "CONFIRMATION_PENDING", "CONFIRMED", "REJECTED", "FAILED"

  - `filter.status.notIn` (array)
    Transaction status is not in this list
    Enum: "REQUESTED", "POLICY_CHECK_PENDING", "POLICY_CHECK_PASSED", "APPROVAL_CHECK_PENDING", "APPROVAL_CHECK_PASSED", "COMPILATION_PENDING", "COMPILED", "SIGNATURE_PENDING", "SIGNED", "PUBLISH_PENDING", "PUBLISHED", "CONFIRMATION_PENDING", "CONFIRMED", "REJECTED", "FAILED"

  - `filter.blockchain` (object)
    Filter by blockchain using common.v2.Blockchain enum names such as ETHEREUM or BITCOIN

  - `filter.blockchain.eq` (string)
    Exact blockchain match
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `filter.blockchain.notEq` (string)
    Exclude this blockchain
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `filter.blockchain.in` (array)
    Blockchain is in this list
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `filter.blockchain.notIn` (array)
    Blockchain is not in this list
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `filter.assetSymbol` (object)
    Filter by asset symbol (e.g. ETH, BTC, USDC)

  - `filter.assetSymbol.eq` (string)
    Exact match

  - `filter.assetSymbol.notEq` (string)
    Not equal to

  - `filter.assetSymbol.contains` (string)
    Contains substring (case-insensitive)

  - `filter.assetSymbol.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.assetSymbol.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.assetSymbol.in` (array)
    Value is in the list

  - `filter.assetSymbol.notIn` (array)
    Value is not in the list

  - `filter.assetSymbol.isNull` (boolean)
    Check if field is null

  - `filter.createdAt` (object)
    Filter by creation timestamp; supports before/after, between, relative_days

  - `filter.createdAt.eq` (string)
    Exact timestamp match
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.notEq` (string)
    Not equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.before` (string)
    Before this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.after` (string)
    After this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.gte` (string)
    Greater than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.lte` (string)
    Less than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.createdAt.between` (object)
    Between two timestamps (inclusive)

  - `filter.createdAt.between.start` (string)
    Start of time range (inclusive)
    Example: "2024-08-01T00:00:00Z"

  - `filter.createdAt.between.end` (string)
    End of time range (inclusive)
    Example: "2024-08-31T23:59:59Z"

  - `filter.createdAt.isNull` (boolean)
    Check if field is null

  - `filter.createdAt.relativeDays` (integer)
    Relative days from now (negative for past, positive for future)
    Example: -7

  - `filter.qty` (object)
    Filter by transferred quantity as an arbitrary precision numeric string; supports eq/not_eq/in/not_in/gt/gte/lt/lte.

  - `filter.qty.eq` (string)
    Equals

  - `filter.qty.notEq` (string)
    Not equal to

  - `filter.qty.in` (array)
    Value is in the list

  - `filter.qty.notIn` (array)
    Value is not in the list

  - `filter.qty.isNull` (boolean)
    Check if field is null

  - `filter.qty.gt` (string)
    Greater than

  - `filter.qty.gte` (string)
    Greater than or equal to

  - `filter.qty.lt` (string)
    Less than

  - `filter.qty.lte` (string)
    Less than or equal to

  - `filter.originAddress` (object)
    Filter by origin (sending) address (case-insensitive)

  - `filter.originAddress.eq` (string)
    Exact match

  - `filter.originAddress.notEq` (string)
    Not equal to

  - `filter.originAddress.contains` (string)
    Contains substring (case-insensitive)

  - `filter.originAddress.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.originAddress.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.originAddress.in` (array)
    Value is in the list

  - `filter.originAddress.notIn` (array)
    Value is not in the list

  - `filter.originAddress.isNull` (boolean)
    Check if field is null

  - `filter.destinationAddress` (object)
    Filter by destination (receiving) address (case-insensitive)

  - `filter.destinationAddress.eq` (string)
    Exact match

  - `filter.destinationAddress.notEq` (string)
    Not equal to

  - `filter.destinationAddress.contains` (string)
    Contains substring (case-insensitive)

  - `filter.destinationAddress.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.destinationAddress.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.destinationAddress.in` (array)
    Value is in the list

  - `filter.destinationAddress.notIn` (array)
    Value is not in the list

  - `filter.destinationAddress.isNull` (boolean)
    Check if field is null

  - `filter.transactionId` (object)
    Search by Palisade transaction ID (UUID). Supports eq/in/contains.

  - `filter.transactionId.eq` (string)
    Exact match

  - `filter.transactionId.notEq` (string)
    Not equal to

  - `filter.transactionId.contains` (string)
    Contains substring (case-insensitive)

  - `filter.transactionId.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.transactionId.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.transactionId.in` (array)
    Value is in the list

  - `filter.transactionId.notIn` (array)
    Value is not in the list

  - `filter.transactionId.isNull` (boolean)
    Check if field is null

  - `filter.transactionHash` (object)
    Search by on-chain transaction hash (case-insensitive). Supports eq/in only.

  - `filter.transactionHash.eq` (string)
    Exact match

  - `filter.transactionHash.notEq` (string)
    Not equal to

  - `filter.transactionHash.contains` (string)
    Contains substring (case-insensitive)

  - `filter.transactionHash.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.transactionHash.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.transactionHash.in` (array)
    Value is in the list

  - `filter.transactionHash.notIn` (array)
    Value is not in the list

  - `filter.transactionHash.isNull` (boolean)
    Check if field is null

  - `filter.externalId` (object)
    Search by customer-assigned external transaction ID. Supports eq/in/contains.

  - `filter.externalId.eq` (string)
    Exact match

  - `filter.externalId.notEq` (string)
    Not equal to

  - `filter.externalId.contains` (string)
    Contains substring (case-insensitive)

  - `filter.externalId.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.externalId.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.externalId.in` (array)
    Value is in the list

  - `filter.externalId.notIn` (array)
    Value is not in the list

  - `filter.externalId.isNull` (boolean)
    Check if field is null

  - `filter.updatedAt` (object)
    Filter by last-update timestamp; supports before/after, between, relative_days. Mirrors the updated_at sort field.

  - `filter.updatedAt.eq` (string)
    Exact timestamp match
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.notEq` (string)
    Not equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.before` (string)
    Before this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.after` (string)
    After this timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.gte` (string)
    Greater than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.lte` (string)
    Less than or equal to timestamp
    Example: "2024-08-08T10:00:00Z"

  - `filter.updatedAt.between` (object)
    Between two timestamps (inclusive)

  - `filter.updatedAt.between.start` (string)
    Start of time range (inclusive)
    Example: "2024-08-01T00:00:00Z"

  - `filter.updatedAt.between.end` (string)
    End of time range (inclusive)
    Example: "2024-08-31T23:59:59Z"

  - `filter.updatedAt.isNull` (boolean)
    Check if field is null

  - `filter.updatedAt.relativeDays` (integer)
    Relative days from now (negative for past, positive for future)
    Example: -7

  - `filter.correlationId` (object)
    Filter by correlation ID. Supports eq/in/contains.

  - `filter.correlationId.eq` (string)
    Exact match

  - `filter.correlationId.notEq` (string)
    Not equal to

  - `filter.correlationId.contains` (string)
    Contains substring (case-insensitive)

  - `filter.correlationId.startsWith` (string)
    Starts with prefix (case-insensitive)

  - `filter.correlationId.endsWith` (string)
    Ends with suffix (case-insensitive)

  - `filter.correlationId.in` (array)
    Value is in the list

  - `filter.correlationId.notIn` (array)
    Value is not in the list

  - `filter.correlationId.isNull` (boolean)
    Check if field is null

  - `filter.type` (object)
    Filter by transaction type using enum names such as PALISADE_TRANSFER or WEB3_SIGN

  - `filter.type.eq` (string)
    Exact transaction type match
    Enum: "DEPOSIT", "WITHDRAWAL", "WEB3_RAW", "WEB3_SIGN", "PASSKEY_RAW", "PASSKEY_SIGN", "PALISADE_TRANSFER", "PALISADE_RAW", "PALISADE_MANAGED", "PALISADE_SIGN_PLAINTEXT", "PALISADE_SWEEP"

  - `filter.type.notEq` (string)
    Exclude this transaction type
    Enum: "DEPOSIT", "WITHDRAWAL", "WEB3_RAW", "WEB3_SIGN", "PASSKEY_RAW", "PASSKEY_SIGN", "PALISADE_TRANSFER", "PALISADE_RAW", "PALISADE_MANAGED", "PALISADE_SIGN_PLAINTEXT", "PALISADE_SWEEP"

  - `filter.type.in` (array)
    Transaction type is in this list
    Enum: "DEPOSIT", "WITHDRAWAL", "WEB3_RAW", "WEB3_SIGN", "PASSKEY_RAW", "PASSKEY_SIGN", "PALISADE_TRANSFER", "PALISADE_RAW", "PALISADE_MANAGED", "PALISADE_SIGN_PLAINTEXT", "PALISADE_SWEEP"

  - `filter.type.notIn` (array)
    Transaction type is not in this list
    Enum: "DEPOSIT", "WITHDRAWAL", "WEB3_RAW", "WEB3_SIGN", "PASSKEY_RAW", "PASSKEY_SIGN", "PALISADE_TRANSFER", "PALISADE_RAW", "PALISADE_MANAGED", "PALISADE_SIGN_PLAINTEXT", "PALISADE_SWEEP"

  - `pagination` (object)
    Pagination and sorting. Sortable fields: created_at, updated_at, amount, status.

  - `pagination.pageSize` (integer)
    Number of results per page (default 50, max 1000)
    Example: 50

  - `pagination.pageToken` (string)
    Token for pagination from previous response
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `pagination.orderBy` (string)
    Field to order results by
    Example: "created_at"

  - `pagination.order` (string)
    Sort order (ASC or DESC)
    Enum: "SORT_ORDER_ASC", "SORT_ORDER_DESC"

  - `search` (string)
    Case-insensitive free-text search over transaction ID, transaction hash, external ID, correlation ID, asset symbol, origin address, and destination address.
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

## Response 200 fields (application/json):

  - `filter` (object)

  - `filter.previousPageToken` (string)
    The token to retrieve the previous page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.nextPageToken` (string)
    The token to retrieve the next page of results
    Example: "cGFnZV9zaXplPTEwJnBhZ2VfdG9rZW49MjA="

  - `filter.total` (integer, required)
    The total number of results
    Example: 100

  - `transactions` (array)

  - `transactions.id` (string, required)
    The transaction ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.walletId` (string, required)
    The wallet ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.vaultId` (string, required)
    The vault ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.createdBy` (string, required)
    The ID of the user that created the transaction
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.createdAt` (string, required)
    The date and time the transaction was created
    Example: "2022-03-29T10:22:22.420Z"

  - `transactions.updatedAt` (string, required)
    The date and time the transaction was updated
    Example: "2022-03-29T10:22:22.420Z"

  - `transactions.attributes` (object)

  - `transactions.status` (string, required)
    The transaction status
    Enum: "REQUESTED", "POLICY_CHECK_PENDING", "POLICY_CHECK_PASSED", "APPROVAL_CHECK_PENDING", "APPROVAL_CHECK_PASSED", "COMPILATION_PENDING", "COMPILED", "SIGNATURE_PENDING", "SIGNED", "PUBLISH_PENDING", "PUBLISHED", "CONFIRMATION_PENDING", "CONFIRMED", "REJECTED", "FAILED"

  - `transactions.action` (string, required)
    The transaction action
    Enum: "DEPOSIT", "WITHDRAWAL", "WEB3_RAW", "WEB3_SIGN", "PASSKEY_RAW", "PASSKEY_SIGN", "PALISADE_TRANSFER", "PALISADE_RAW", "PALISADE_MANAGED", "PALISADE_SIGN_PLAINTEXT", "PALISADE_SWEEP"

  - `transactions.externalId` (string)
    External ID of this transaction, unique to the organization
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.correlationId` (string)
    The correlation ID of the transaction, used to link related transactions
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.asset` (object, required)

  - `transactions.asset.id` (string, required)
    ID is unique across all blockchains and created by combining the blockchain ID, contract address, and symbol
    Example: "5:0xbehbehfb:USDC"

  - `transactions.asset.standard` (string, required)
    The standard of the asset
    Enum: "NATIVE", "ERC20", "ISSUED_CURRENCY", "ERC721", "SPL", "CUSTOM"

  - `transactions.asset.symbol` (string, required)
    The currency symbol of the asset
    Example: "LINK"

  - `transactions.asset.name` (string)
    The human readable name of the asset
    Example: "Chainlink"

  - `transactions.asset.blockchain` (string, required)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `transactions.asset.decimals` (integer)
    Count of decimal places for the asset
    Example: 18

  - `transactions.asset.vetted` (boolean)
    Whether the asset is vetted on the regulated platform
    Example: true

  - `transactions.asset.enabled` (boolean)
    Whether the asset is currently enabled on the platform
    Example: true

  - `transactions.asset.contract` (string)
    The token contract address. This field will be empty if the asset is the native coin of the blockchain
    Example: "0x0b9d5D9136855f6FEc3c0993feE6E9CE8a297846e"

  - `transactions.asset.createdAt` (string, required)
    The date and time the asset was created
    Example: "2022-03-29T10:22:22.420Z"

  - `transactions.asset.updatedAt` (string)
    The date and time the asset was last updated
    Example: "2022-03-29T10:22:22.420Z"

  - `transactions.asset.organizationId` (string)
    Organization ID for custom assets

  - `transactions.asset.coingeckoId` (string)
    CoinGecko identifier for price data (optional for testnet assets)
    Example: "ethereum"

  - `transactions.asset.source` (string)
    Data source for this asset
    Enum: "ASSET_SOURCE_LEGACY", "ASSET_SOURCE_AUTO", "ASSET_SOURCE_COINGECKO", "ASSET_SOURCE_PALISADE", "ASSET_SOURCE_CUSTOMER"

  - `transactions.asset.sourceMetadata` (object)
    JSON metadata about the source

  - `transactions.asset.sourceMetadata.@type` (string)

  - `transactions.asset.lastSyncedAt` (string)
    When this asset was last synchronized
    Example: "2024-08-08T10:22:22.420Z"

  - `transactions.asset.syncVersion` (integer)
    Version counter for sync updates
    Example: 1

  - `transactions.asset.contractAddressChecksummed` (string)
    Checksummed version of the contract address
    Example: "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

  - `transactions.asset.iconUrl` (string)
    Public URL for the asset icon. Registry asset REST endpoints populate this when configured; other Asset responses may omit it.
    Example: "https://static.palisade.co/registry/assets/coingecko/production/usd-coin.png"

  - `transactions.feeAsset` (object, required)

  - `transactions.blockchain` (string, required)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `transactions.destinationAddress` (string)
    The destination address
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `transactions.destination` (object)

  - `transactions.destination.id` (string)
    Either addressID or walletID, or allowAddressID, or not set when the address does not exist within palisade e.g. a deposit from outside of Palisade
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.destination.counterpartyId` (string)
    The counterparty ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.destination.vaultId` (string)
    The vault ID
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.destination.type` (string, required)
    The address type
    Enum: "COUNTERPARTY", "WALLET", "EXTERNAL", "ALLOW_ADDRESS"

  - `transactions.destination.address` (string, required)
    The address
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `transactions.originAddress` (string, required)
    The origin address
    Example: "0x55502b9d5a68b0F8a48384352295BeD968aD8AA4"

  - `transactions.origin` (object, required)

  - `transactions.qty` (string, required)
    The quantity of the asset to transfer
    Example: "155.672"

  - `transactions.feeQtyLimit` (string)
    The maximum network fee to pay for this transaction in base asset units (eg ETH for Ethereum)
    Example: "155.672"

  - `transactions.sequence` (string)
    The blockchain nonce/sequence to use
    Example: "2"

  - `transactions.encodedTransaction` (string)
    The encoded transaction. Maximum size is 200KB.
    Example: "ed408505d21dba00825208942352d20fc81225c8ecd8f6faa1b37f24fed450c98089736f6d657468696e67808080"

  - `transactions.signOnly` (boolean, required)
    Whether to only sign the transaction, or also publish it to the blockchain
    Example: "true"

  - `transactions.config` (object)

  - `transactions.config.sourceTag` (string)
    The source tag for XRP transactions
    Example: "123456"

  - `transactions.config.destinationTag` (string)
    The destination tag for XRP transactions
    Example: "123456"

  - `transactions.freezeInfo` (object, required)
    Comprehensive freeze information including status, reason, and history

  - `transactions.freezeInfo.isFrozen` (boolean)
    Whether the transaction is currently frozen

  - `transactions.freezeInfo.history` (array)
    History of all freeze/unfreeze actions. Latest entry contains current state details when frozen.

  - `transactions.freezeInfo.history.id` (string)
    Unique identifier for this history entry
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.freezeInfo.history.action` (string)
    The action taken (FREEZE or UNFREEZE)
    Enum: "FREEZE_ACTION_FREEZE", "FREEZE_ACTION_UNFREEZE"

  - `transactions.freezeInfo.history.reason` (string)
    Reason for the freeze or unfreeze action
    Example: "Transaction frozen due to suspicious activity pattern"

  - `transactions.freezeInfo.history.userId` (string)
    User who performed the action (empty for automatic actions)
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.freezeInfo.history.organizationId` (string)
    Organization of the user who performed the action (empty for automatic actions)
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.freezeInfo.history.performedAt` (string)
    Timestamp when the action was performed
    Example: "2022-03-29T10:22:22.420Z"

  - `transactions.freezeInfo.history.freezeType` (string)
    Type of freeze (required for FREEZE actions, shows original type for UNFREEZE)
    Enum: "FREEZE_TYPE_MANUAL", "FREEZE_TYPE_AUTO_RISK", "FREEZE_TYPE_AUTO_AMOUNT", "FREEZE_TYPE_COMPLIANCE", "FREEZE_TYPE_AUTO_WALLET_SETTING"

  - `transactions.freezeInfo.history.riskScore` (number)
    Risk score that triggered auto-freeze (0-100)
    Example: 85.5

  - `transactions.feeQty` (string)
    The actual network fee for this transaction in base asset units (eg ETH for Ethereum)
    Example: "155.672"

  - `transactions.hash` (string)
    The transaction hash
    Example: "0x30674cddb3025f9681839c63d20357f54e914bd7a9ddfe53a6691f4a530a5671"

  - `transactions.signature` (string)
    The transaction signature
    Example: "3046022100c60dc1337d69261e7c7e92e4dac78e0c317d444d4690be2b86cc53b1989d1b0602210090c63e3a5cf692c9387292451fada038a0e4d85a2f5c91ee1e7a635df0440b43"

  - `transactions.transactionType` (string)
    The transaction type
    Example: "Payment"

  - `transactions.reasons` (array)
    Deprecated. Use problems for structured transaction failure details.
    Example: ["unfunded"]

  - `transactions.canonicalSignature` (string)
    The canonical transaction signature
    Example: "3045022100C60DC1337D69261E7C7E92E4DAC78E0C317D444D4690BE2B86CC53B1989D1B0602206F39C1C5A3096D36C78D6DBAE0525FC619CA048C7FEC0E4DA157FB2EDFF235FE"

  - `transactions.signedTransaction` (string)
    The signed transaction (multi-sign is not supported). Maximum size is 200KB.
    Example: "12000024002A8F37201B002A8F5561400000000098968068400000000000000A732103E0C61B861ADE7AC58D27D65ABCEF4C22FA874DD13D809E02A99609A8CA31892C74473045022100C60DC1337D69261E7C7E92E4DAC78E0C317D444D4690BE2B86CC53B1989D1B0602206F39C1C5A3096D36C78D6DBAE0525FC619CA048C7FEC0E4DA157FB2EDFF235FE8114EC8E7F9FF5C9B157D55890956376D15740FAE943831451FE87A95FA6CAC3EBEF33387DE8225F7D0352CB"

  - `transactions.proposedAssetChanges` (array)
    Proposed asset changes

  - `transactions.proposedAssetChanges.purpose` (string, required)
    Purpose of this asset change
    Enum: "FEE", "TRANSFER"

  - `transactions.proposedAssetChanges.asset` (object, required)
    The asset that is part of this change

  - `transactions.proposedAssetChanges.asset.id` (string, required)
    ID is unique across all blockchains and created by combining the blockchain ID, contract address, and symbol
    Example: "5:0xbehbehfb:USDC"

  - `transactions.proposedAssetChanges.asset.standard` (string, required)
    The standard of the asset
    Enum: "NATIVE", "ERC20", "ISSUED_CURRENCY", "ERC721", "SPL", "CUSTOM"

  - `transactions.proposedAssetChanges.asset.symbol` (string, required)
    The currency symbol of the asset
    Example: "LINK"

  - `transactions.proposedAssetChanges.asset.name` (string)
    The human readable name of the asset
    Example: "Chainlink"

  - `transactions.proposedAssetChanges.asset.blockchain` (string, required)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `transactions.proposedAssetChanges.asset.decimals` (integer)
    Count of decimal places for the asset
    Example: 18

  - `transactions.proposedAssetChanges.asset.vetted` (boolean)
    Whether the asset is vetted on the regulated platform
    Example: true

  - `transactions.proposedAssetChanges.asset.enabled` (boolean)
    Whether the asset is currently enabled on the platform
    Example: true

  - `transactions.proposedAssetChanges.asset.contract` (string)
    The token contract address. This field will be empty if the asset is the native coin of the blockchain
    Example: "0x0b9d5D9136855f6FEc3c0993feE6E9CE8a297846e"

  - `transactions.proposedAssetChanges.asset.createdAt` (string, required)
    The date and time the asset was created
    Example: "2022-03-29T10:22:22.420Z"

  - `transactions.proposedAssetChanges.asset.updatedAt` (string)
    The date and time the asset was last updated
    Example: "2022-03-29T10:22:22.420Z"

  - `transactions.proposedAssetChanges.asset.organizationId` (string)
    Organization ID for custom assets

  - `transactions.proposedAssetChanges.asset.coingeckoId` (string)
    CoinGecko identifier for price data (optional for testnet assets)
    Example: "ethereum"

  - `transactions.proposedAssetChanges.asset.source` (string)
    Data source for this asset
    Enum: "ASSET_SOURCE_LEGACY", "ASSET_SOURCE_AUTO", "ASSET_SOURCE_COINGECKO", "ASSET_SOURCE_PALISADE", "ASSET_SOURCE_CUSTOMER"

  - `transactions.proposedAssetChanges.asset.sourceMetadata` (object)
    JSON metadata about the source

  - `transactions.proposedAssetChanges.asset.sourceMetadata.@type` (string)

  - `transactions.proposedAssetChanges.asset.lastSyncedAt` (string)
    When this asset was last synchronized
    Example: "2024-08-08T10:22:22.420Z"

  - `transactions.proposedAssetChanges.asset.syncVersion` (integer)
    Version counter for sync updates
    Example: 1

  - `transactions.proposedAssetChanges.asset.contractAddressChecksummed` (string)
    Checksummed version of the contract address
    Example: "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

  - `transactions.proposedAssetChanges.asset.iconUrl` (string)
    Public URL for the asset icon. Registry asset REST endpoints populate this when configured; other Asset responses may omit it.
    Example: "https://static.palisade.co/registry/assets/coingecko/production/usd-coin.png"

  - `transactions.proposedAssetChanges.qty` (string, required)
    The quantity of the asset to transfer
    Example: "155.672"

  - `transactions.proposedAssetChanges.source` (object)

  - `transactions.proposedAssetChanges.source.address` (string, required)
    The blockchain address of the wallet
    Example: "0xd8da6bf26964af9d7eed9e03e53415d37aa96045"

  - `transactions.proposedAssetChanges.source.walletId` (string)
    The wallet ID that is part of this change, populated only if it belongs to the same organization that is party to the transaction
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.proposedAssetChanges.source.subAccountAddress` (string)
    The Rosetta SubAccount address (e.g., SPL token account address for Solana, contract-specific state address for other chains). This represents the actual on-chain address where the asset resides, while 'address' contains the owner wallet address.
    Example: "CaVHtunHxQfGYVKJ4WzUe1217UTCrREh3hg2RW8cS2Gk"

  - `transactions.proposedAssetChanges.source.vaultId` (string)
    The vault ID for the wallet that is part of this change, populated only if it belongs to the same organization that is party to the transaction
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.proposedAssetChanges.destination` (object)

  - `transactions.proposedAssetChanges.destination.address` (string, required)
    The blockchain address of the wallet
    Example: "0xd8da6bf26964af9d7eed9e03e53415d37aa96045"

  - `transactions.proposedAssetChanges.destination.walletId` (string)
    The wallet ID that is part of this change, populated only if it belongs to the same organization that is party to the transaction
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.proposedAssetChanges.destination.subAccountAddress` (string)
    The Rosetta SubAccount address (e.g., SPL token account address for Solana, contract-specific state address for other chains). This represents the actual on-chain address where the asset resides, while 'address' contains the owner wallet address.
    Example: "CaVHtunHxQfGYVKJ4WzUe1217UTCrREh3hg2RW8cS2Gk"

  - `transactions.proposedAssetChanges.destination.vaultId` (string)
    The vault ID for the wallet that is part of this change, populated only if it belongs to the same organization that is party to the transaction
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.confirmedAssetChanges` (array)
    Confirmed asset changes

  - `transactions.confirmedAssetChanges.purpose` (string, required)
    Purpose of this asset change
    Enum: "FEE", "TRANSFER"

  - `transactions.confirmedAssetChanges.asset` (object, required)
    The asset that is part of this change

  - `transactions.confirmedAssetChanges.asset.id` (string, required)
    ID is unique across all blockchains and created by combining the blockchain ID, contract address, and symbol
    Example: "5:0xbehbehfb:USDC"

  - `transactions.confirmedAssetChanges.asset.standard` (string, required)
    The standard of the asset
    Enum: "NATIVE", "ERC20", "ISSUED_CURRENCY", "ERC721", "SPL", "CUSTOM"

  - `transactions.confirmedAssetChanges.asset.symbol` (string, required)
    The currency symbol of the asset
    Example: "LINK"

  - `transactions.confirmedAssetChanges.asset.name` (string)
    The human readable name of the asset
    Example: "Chainlink"

  - `transactions.confirmedAssetChanges.asset.blockchain` (string, required)
    Enum: "AVALANCHE", "ETHEREUM", "XRP_LEDGER", "POLYGON", "BNBCHAIN", "BASE", "HEDERA", "ARBITRUM", "ONE_MONEY", "SOLANA", "TRON", "BITCOIN"

  - `transactions.confirmedAssetChanges.asset.decimals` (integer)
    Count of decimal places for the asset
    Example: 18

  - `transactions.confirmedAssetChanges.asset.vetted` (boolean)
    Whether the asset is vetted on the regulated platform
    Example: true

  - `transactions.confirmedAssetChanges.asset.enabled` (boolean)
    Whether the asset is currently enabled on the platform
    Example: true

  - `transactions.confirmedAssetChanges.asset.contract` (string)
    The token contract address. This field will be empty if the asset is the native coin of the blockchain
    Example: "0x0b9d5D9136855f6FEc3c0993feE6E9CE8a297846e"

  - `transactions.confirmedAssetChanges.asset.createdAt` (string, required)
    The date and time the asset was created
    Example: "2022-03-29T10:22:22.420Z"

  - `transactions.confirmedAssetChanges.asset.updatedAt` (string)
    The date and time the asset was last updated
    Example: "2022-03-29T10:22:22.420Z"

  - `transactions.confirmedAssetChanges.asset.organizationId` (string)
    Organization ID for custom assets

  - `transactions.confirmedAssetChanges.asset.coingeckoId` (string)
    CoinGecko identifier for price data (optional for testnet assets)
    Example: "ethereum"

  - `transactions.confirmedAssetChanges.asset.source` (string)
    Data source for this asset
    Enum: "ASSET_SOURCE_LEGACY", "ASSET_SOURCE_AUTO", "ASSET_SOURCE_COINGECKO", "ASSET_SOURCE_PALISADE", "ASSET_SOURCE_CUSTOMER"

  - `transactions.confirmedAssetChanges.asset.sourceMetadata` (object)
    JSON metadata about the source

  - `transactions.confirmedAssetChanges.asset.sourceMetadata.@type` (string)

  - `transactions.confirmedAssetChanges.asset.lastSyncedAt` (string)
    When this asset was last synchronized
    Example: "2024-08-08T10:22:22.420Z"

  - `transactions.confirmedAssetChanges.asset.syncVersion` (integer)
    Version counter for sync updates
    Example: 1

  - `transactions.confirmedAssetChanges.asset.contractAddressChecksummed` (string)
    Checksummed version of the contract address
    Example: "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48"

  - `transactions.confirmedAssetChanges.asset.iconUrl` (string)
    Public URL for the asset icon. Registry asset REST endpoints populate this when configured; other Asset responses may omit it.
    Example: "https://static.palisade.co/registry/assets/coingecko/production/usd-coin.png"

  - `transactions.confirmedAssetChanges.qty` (string, required)
    The quantity of the asset to transfer
    Example: "155.672"

  - `transactions.confirmedAssetChanges.source` (object)

  - `transactions.confirmedAssetChanges.source.address` (string, required)
    The blockchain address of the wallet
    Example: "0xd8da6bf26964af9d7eed9e03e53415d37aa96045"

  - `transactions.confirmedAssetChanges.source.walletId` (string)
    The wallet ID that is part of this change, populated only if it belongs to the same organization that is party to the transaction
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.confirmedAssetChanges.source.subAccountAddress` (string)
    The Rosetta SubAccount address (e.g., SPL token account address for Solana, contract-specific state address for other chains). This represents the actual on-chain address where the asset resides, while 'address' contains the owner wallet address.
    Example: "CaVHtunHxQfGYVKJ4WzUe1217UTCrREh3hg2RW8cS2Gk"

  - `transactions.confirmedAssetChanges.source.vaultId` (string)
    The vault ID for the wallet that is part of this change, populated only if it belongs to the same organization that is party to the transaction
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.confirmedAssetChanges.destination` (object)

  - `transactions.confirmedAssetChanges.destination.address` (string, required)
    The blockchain address of the wallet
    Example: "0xd8da6bf26964af9d7eed9e03e53415d37aa96045"

  - `transactions.confirmedAssetChanges.destination.walletId` (string)
    The wallet ID that is part of this change, populated only if it belongs to the same organization that is party to the transaction
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.confirmedAssetChanges.destination.subAccountAddress` (string)
    The Rosetta SubAccount address (e.g., SPL token account address for Solana, contract-specific state address for other chains). This represents the actual on-chain address where the asset resides, while 'address' contains the owner wallet address.
    Example: "CaVHtunHxQfGYVKJ4WzUe1217UTCrREh3hg2RW8cS2Gk"

  - `transactions.confirmedAssetChanges.destination.vaultId` (string)
    The vault ID for the wallet that is part of this change, populated only if it belongs to the same organization that is party to the transaction
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

  - `transactions.expiresAt` (string)
    The time after which this transaction will be rejected if not confirmed
    Example: "2026-03-16T16:22:22.420Z"

  - `transactions.problems` (array)
    Structured transaction failure details.

  - `transactions.problems.code` (integer)

  - `transactions.problems.reason` (string)

  - `transactions.problems.domain` (string)

  - `transactions.problems.message` (string)

  - `transactions.problems.retryability` (string)
    Enum: "RETRYABLE", "NOT_RETRYABLE"

  - `transactions.problems.metadata` (object)

  - `transactions.signingPayloads` (array)
    Multiple signing payloads for UTXO-based transactions, one per input

  - `transactions.signingPayloads.inputIndex` (integer, required)
    The index of the UTXO input this signing payload corresponds to

  - `transactions.signingPayloads.signingHash` (string, required)
    The signing hash for this UTXO input
    Example: "30674cddb3025f9681839c63d20357f54e914bd7a9ddfe53a6691f4a530a5671"

  - `transactions.signingPayloads.signature` (string)
    The signature for this UTXO input
    Example: "3046022100c60dc1337d69261e7c7e92e4dac78e0c317d444d4690be2b86cc53b1989d1b0602210090c63e3a5cf692c9387292451fada038a0e4d85a2f5c91ee1e7a635df0440b43"

  - `transactions.signingPayloads.walletId` (string)
    The wallet ID that owns this signing payload. If omitted, signers use the parent transaction wallet. Native multi-wallet transactions must set this on every signing payload.
    Example: "ce4918bf-a199-4ce2-85a3-d0d296855384"

## Response 400 fields (application/json):

  - `code` (integer)

  - `message` (string)

  - `details` (array)

  - `details.@type` (string)


